## dooble 1.36%2bsvn4766-maemo1

=== Packaging/linux/rpm_packaging/Makefile ===

# Makefile for generating RPM for Dooble
#


NAME = $(shell cat pack-name)
VERSION = $(shell cat pack-version)
COUNT = $(shell ./docount.sh)

RPMBUILD = $(HOME)/rpmbuild
SOURCEDIR = $(RPMBUILD)/SOURCES

TAR_SRC = $(NAME)_$(VERSION).tar.gz
SPEC = $(NAME).spec
CHANGES = $(NAME).changes

SRC = $(SOURCEDIR)/$(TAR_SRC)

rpm: info $(SRC) $(SPEC)
	QA_RPATHS=$[0x0001] rpmbuild -ba $(SPEC) | tee build.log

spec: $(SPEC)

info:
	(  \
	  echo "name      " $(NAME) ; \
	  echo "spec file " $(SPEC) ; \
	  echo "source    " $(SRC) ; \
	  echo "version   " $(VERSION) ; \
	)

$(SPEC):  spec.in pack-version
	echo -n "%define sourceversion " > $(SPEC)
	echo $(VERSION) >> $(SPEC)
	echo -n "%define relcount " >> $(SPEC)
	echo $(COUNT) >> $(SPEC)
	if [ -e /etc/meego-release ]; \
	  then  \
	  echo "%define assume_meego 1" >> $(SPEC) ; \
	  echo "%define dist .meego" >> $(SPEC) ; \
	else \
	  echo "%define assume_meego 0" >> $(SPEC) ; \
	fi
	cat spec.in >> $(SPEC)
	cat $(CHANGES) >> $(SPEC)

$(SOURCEDIR)/$(TAR_SRC): $(TAR_SRC)
	cp $(TAR_SRC) $(SOURCEDIR)/$(TAR_SRC)

=== Packaging/linux/debian/changelog ===
dooble (1.26) unstable; urgency=low

  * Initial debian packaging

 -- Bernd Stramm <bernd.stramm@gmail.com>  Mon, 05 Dec 2011 00:00:00 +0000

=== debian/changelog ===
dooble (1.36+svn4766-maemo1) unstable; urgency=low

  * DOOBLE_MINIMUM_GCRYPT_VERSION=0x010490

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 23 Sep 2012 12:07:36 +0200

dooble (0.0+svn874-0ubuntu3) maverick; urgency=low

  * Build-dep on libqtwebkit-dev for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 09:57:36 +0100

dooble (0.0+svn874-0ubuntu2) maverick; urgency=low

  * Add build-dep on libqt4-webkit-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 May 2010 18:43:28 +0200

dooble (0.0+svn874-0ubuntu1) karmic; urgency=low

  * Initial release (Closes LP: #398575)
  * Remove redcats_blue/ everaldo/ FC-Schalke-04/ icons due to non-free licencing

 -- Michał Zając <michal.zajac@gmail.com>  Sun, 13 Sep 2009 11:03:06 +0200

=== debian/control ===
Source: dooble
Section: user/web
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 7), libqt4-dev, cdbs, sharutils, libgcrypt11-dev, libgpg-error-dev
Standards-Version: 3.8.3
Homepage: http://dooble.sourceforge.net/

Package: dooble
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XSBC-Bugtracker: https://sourceforge.net/tracker/?group_id=238964&atid=1108293
Description: WebKit based browser written is Qt 4
 Dooble is a Secure and Open Source Web Browser that provides solid performance,
 stability, and cross-platform functionality.

=== Packaging/linux/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1



configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake PREFIX=/usr dooble.pro 

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)   

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE)  INSTALL_ROOT=/usr/src/packages/BUILD/debian/ install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb 

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	ln -s debian/patches patches
	qmake dooble.arm.pro
	rm patches
	$(MAKE)
	#docbook-to-man debian/dooble.sgml > dooble.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/dooble.
	mkdir -p debian/dooble/usr/share/icons/hicolor/48x48/apps/
	uudecode debian/dooble.png.uu -o debian/dooble/usr/share/icons/hicolor/48x48/apps/dooble.png
	$(MAKE) DESTDIR=$(CURDIR)/debian/dooble install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dooble 1.36%2bsvn4766-maemo2

=== debian/changelog ===
dooble (1.36+svn4766-maemo2) unstable; urgency=low

  * optified

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 25 Sep 2012 12:30:36 +0200

## dooble 1.36%2bsvn4766-maemo3

=== debian/changelog ===
dooble (1.36+svn4766-maemo3) unstable; urgency=low

  * icon fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 25 Sep 2012 13:55:36 +0200

=== Packaging/linux/debian/control ===
Source: dooble
Section: user/other
Priority: optional
Maintainer: Bernd Stramm <bernd.stramm@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtwebkit-dev , libqt4-network, libqt4-xml, libgcrypt11-dev
Standards-Version: 3.7.3
Homepage: http://dooble.sourceforge.net

Package: dooble
Description: Dooble the finest browser known today
 Dooble, a light browser supporting safer browsing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: dooble
-Section: user/web
+Section: user/network
 Priority: extra
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 7), libqt4-dev, cdbs, sharutils, libgcrypt11-dev, libgpg-error-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, cdbs, sharutils, libgcrypt11-dev, libgpg-error-dev
 Standards-Version: 3.8.3
 Homepage: http://dooble.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1



configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake dooble.arm.pro 

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)   

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_prep
	dh_installdirs

	$(MAKE)  INSTALL_ROOT=/usr/src/packages/BUILD/debian/ install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb 

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dooble 1.37%2bsvn4938-maemo1

=== LibSpotOn/Makefile ===
UNAME := $(shell uname)

ifeq ($(UNAME), Darwin)
	MAKEFILE=Makefile.osx
else ifeq ($(UNAME), FreeBSD)
	MAKEFILE=Makefile.freebsd
else ifeq ($(UNAME), Linux)
	MAKEFILE=Makefile.linux
else
	MAKEFILE=Makefile.windows
endif

all:
	$(MAKE) -f $(MAKEFILE)

clean:
	$(MAKE) -f $(MAKEFILE) clean

install:
	$(MAKE) -f $(MAKEFILE) install

purge:
	$(MAKE) -f $(MAKEFILE) purge

uninstall:
	$(MAKE) -f $(MAKEFILE) uninstall

=== debian/changelog ===
dooble (1.37+svn4938-maemo1) unstable; urgency=low

  * new from upstream

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,  3 Nov 2012 21:01:36 +0200

## dooble 1.41%2bsvn5287-maemo1

=== debian/changelog ===
dooble (1.41+svn5287-maemo1) unstable; urgency=low

  * new from upstream

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  16 Apr 2013 12:02:36 +0300

dooble (1.41+svn5275-maemo2) unstable; urgency=low

  * new from upstream
  * DOOBLE_MINIMUM_GCRYPT_VERSION=0x010490
  * builder fix

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  04 Apr 2013 12:12:36 +0300

dooble (1.41+svn5275-maemo1) unstable; urgency=low

  * new from upstream
  * DOOBLE_MINIMUM_GCRYPT_VERSION=0x010490

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 27 Mar 2013 19:28:36 +0200

## dooble 1.41%2bsvn5287-maemo2

=== LibSpotOn/Makefile ===
--- 
+++ 
@@ -16,6 +16,8 @@
 clean:
 	$(MAKE) -f $(MAKEFILE) clean
 
+distclean: clean
+
 install:
 	$(MAKE) -f $(MAKEFILE) install

=== Tests/Makefile ===
all:
	gcc test0001.c -o test0001 -lgcrypt

clean:
	rm -f test0001

=== debian/changelog ===
dooble (1.41+svn5287-maemo2) unstable; urgency=low

  * fixed start script

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon,  10 Jun 2013 14:52:36 +0300

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,21 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+
+#maemo
+ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
+    PROJECT_FILE = dooble.arm.pro
+else
+    PROJECT_FILE = dooble.pro
+endif
 
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	qmake dooble.arm.pro 
+	qmake $(PROJECT_FILE)
 
 	touch configure-stamp

## dooble 1.41%2bsvn5287-maemo3

=== debian/changelog ===
dooble (1.41+svn5287-maemo3) unstable; urgency=low

  * fixed (another) start script

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri,  14 Jun 2013 10:55:36 +0300

## dooble 1.41%2bsvn5287-maemo4

=== debian/changelog ===
dooble (1.41+svn5287-maemo4) unstable; urgency=low

  * fixed MimeType on dooble.desktop

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,  15 Jun 2013 10:43:36 +0300

## dooble 1.52-maemo1

=== libSpotOn/Makefile ===
UNAME := $(shell uname)

ifeq ($(UNAME), Darwin)
	MAKEFILE=Makefile.osx
else ifeq ($(UNAME), FreeBSD)
	MAKEFILE=Makefile.freebsd
else ifeq ($(UNAME), Linux)
	MAKEFILE=Makefile.linux
else
	MAKEFILE=Makefile.windows
endif

all:
	$(MAKE) -f $(MAKEFILE)

clean:
	$(MAKE) -f $(MAKEFILE) clean

distclean: clean

install:
	$(MAKE) -f $(MAKEFILE) install

library:
	$(MAKE) -f $(MAKEFILE) library

purge:
	$(MAKE) -f $(MAKEFILE) purge

uninstall:
	$(MAKE) -f $(MAKEFILE) uninstall

=== debian/changelog ===
dooble (1.52-maemo1) unstable; urgency=low

  * new from upstream

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon,   6 Apr 2015 17:04:36 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, cdbs, sharutils, libgcrypt11-dev, libgpg-error-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libgcrypt11-dev, libgpg-error-dev
 Standards-Version: 3.8.3
 Homepage: http://dooble.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 else
     PROJECT_FILE = dooble.pro
 endif
-
+PROJECT_FILE = dooble.arm.pro
 
 configure: configure-stamp
 configure-stamp:

## dooble 1.56f-maemo2

=== debian/changelog ===
dooble (1.56f-maemo2) unstable; urgency=low

  * Fix for non-ARM targets.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun,   19 Jan 2020 15:35:36 +0200

dooble (1.56f-maemo1) unstable; urgency=low

  * New from upstream

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,   18 Jan 2020 13:32:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 else
     PROJECT_FILE = dooble.pro
 endif
-PROJECT_FILE = dooble.arm.pro
 
 configure: configure-stamp
 configure-stamp:

## dooble 2023.02.25

=== debian/changelog ===
dooble (2023.02.25-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sat, 25 Feb 2023 14:12:02 +0100

=== debian/control ===
Source: dooble
Section: Networking
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5webkit5-dev, cdbs, quilt, sharutils, libgcrypt20-dev, libsqlite3-dev, doxygen, qtchooser
Standards-Version: 3.9.6
Homepage: http://dooble.sourceforge.net/

Package: dooble
Architecture: any
Depends: libc6 (>= 2.36), libgcc1 (>= 1:4.1.1), libqt5concurrent5, libqt5core5a, libqt5gui5, libqt5network5, libqt5webkit5, libqt5xml5, libsqlite3-0, libstdc++6 (>= 4.1.1), libgcrypt20
Description: WebKit based web browser
 Dooble is a secure and open source web browser that provides solid performance, stability, and cross-platform functionality.
